/*
 * Copyright 2018 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.smv.test.parser;

import ru.ispras.retrascope.result.test.EmptyTestVisitor;
import ru.ispras.retrascope.result.test.TestVector;

/**
 * Visitor that removes all the events from {@link TestVector} objects.
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
final class RmEventVisitor extends EmptyTestVisitor {

  @Override
  public void onVectorBegin(TestVector vector) {
    vector.removeEvents();
  }
}
