/*
 * Copyright 2018 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.result.test;

import ru.ispras.fortress.expression.Node;
import ru.ispras.retrascope.model.basis.Event;
import ru.ispras.retrascope.model.basis.EventList;

/**
 * An empty visitor for {@link Test} objects.
 * <p>The visitor does nothing.</p>
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class EmptyTestVisitor implements TestVisitor {

  @Override
  public void onTestBegin(final Test test) {

    /* Empty. */
  }

  @Override
  public void onTestEnd(final Test test) {

    /* Empty. */
  }

  @Override
  public void onSequenceBegin(final Sequence sequence) {

    /* Empty. */
  }

  @Override
  public void onSequenceEnd(final Sequence sequence) {

    /* Empty. */
  }

  @Override
  public void onVectorBegin(final TestVector vector) {

    /* Empty. */
  }

  @Override
  public void onVectorEnd(final TestVector vector) {

    /* Empty. */
  }

  @Override
  public void onTransactionBegin(final Transaction transaction) {

    /* Empty. */
  }

  @Override
  public void onTransactionEnd(final Transaction transaction) {

    /* Empty. */
  }

  @Override
  public void onEventListBegin(final EventList eventList) {

    /* Empty. */
  }

  @Override
  public void onEventListEnd(final EventList eventList) {

    /* Empty. */
  }

  @Override
  public void onEvent(final Event event) {

    /* Empty. */
  }

  @Override
  public void onVariable(final String name, final Node value) {

    /* Empty. */
  }
}
