/*
 * Copyright 2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope;

/**
 * Test that runs the tool several times on the same VHDL modules.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public abstract class MultiVhdlTest extends VhdlTest {

  private int runs;

  /**
   * Sets the number the tool should run.
   * @param num The number of runs.
   */
  public void setRuns(final int num) {
    this.runs = num;
  }

  @Override
  public void runTest(final String ... args) {

    for (int i = 0; i < this.runs; i++) {
      super.runTest(args);
    }
  }
}
