/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.cfg.extractor.iface.sample;

import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * The test runs the tool on "myfifo.v" module
 * and extracts {@link ru.ispras.retrascope.result.cfginterface.CfgInterface} model.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public final class MyfifoCfgInterfaceTestCase extends CfgInterfaceExtractorVerilogTest {

  @Override
  public String getModuleName() {
    return "myfifo";
  }

  @Override
  protected Path[] getModulePaths() {
    return new Path[] {
        Paths.get("fifo0", "myfifo.v"),
        Paths.get("fifo0", "mem_2p.v")};
  }
}
