/*
 * Copyright 2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.cfg.printer.c.sample;

import ru.ispras.retrascope.model.cfg.CfgModel;

import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * The test runs the tool on "fifo_mod/fifo.v" module
 * and generates C representation for {@link CfgModel} model.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public final class FifoModCTestCase extends CfgCPrinterVerilogTest {

  @Override
  protected Path[] getModulePaths() {
    return new Path[] {Paths.get("fifo_mod", "fifo.v"), Paths.get("fifo_mod", "ram.v")};
  }

  @Override
  protected String getModuleName() {
    return "fifo_mod";
  }
}
