/*
 * Copyright 2014-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.cfg.printer.graphml;

import org.junit.Test;
import ru.ispras.retrascope.HdlTestFiles;
import ru.ispras.retrascope.HdlTestUtils;
import ru.ispras.retrascope.Retrascope;

import java.util.List;
import java.util.Map;

/**
 * Project-level test case for printer from control flow graph to GraphML format.
 *
 * @author <a href="mailto:protsenko@ispras.ru">Alexander Protsenko</a>
 */
public final class CfgGraphMlPrinterProjectTestCase {

  @Test
  public void runTest() {

    final Map<String, Map<String, List<String>>> vhdlFiles = HdlTestFiles.VHDL_MAP;

    for (final Map.Entry<String, Map<String, List<String>>> entry : vhdlFiles.entrySet()) {
      HdlTestUtils.runVhdl(
          entry.getValue(),
          CfgGraphMlPrinter.OUT_TYPE.getId(),
          Retrascope.ENGINE_PARAM.getName(),
          CfgGraphMlPrinter.ENGINE_ID,
          CfgGraphMlPrinter.OUT_FILE_NAME.getName(),
          entry.getKey() + "-cfg.graphml");
    }
  }
}
