/*
 * Copyright 2014-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.ispras.retrascope.engine.cfg.transformer.gadd;

import org.junit.Test;
import ru.ispras.retrascope.HdlTestUtils;
import ru.ispras.retrascope.Retrascope;
import ru.ispras.retrascope.model.cfg.CfgModel;
import ru.ispras.retrascope.model.gadd.GaddModel;

/** Test for {@link CfgModel} model to {@link GaddModel} model
 * {@link CfgGaddTransformer} transformer engine.
 *
 * <p>Test runs the transformer on every top-level module
 * of every HDL file from project test suite.</p>
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class CfgGaddTransformerTestCase {

  /**
   * Default constructor.
   */
  public CfgGaddTransformerTestCase() {

    /* Empty. */
  }

  @Test
  public void runTest() {
    HdlTestUtils.runHdl(
        GaddModel.TYPE.getId(),
        Retrascope.ENGINE_PARAM.getName(),
        CfgGaddTransformer.ENGINE_ID);
  }
}
