/*
 * Copyright 2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.cfg.transformer.gadd.sample;

import ru.ispras.retrascope.model.gadd.GaddModel;

import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * The test runs the tool on "b15.vhd" module
 * and extracts {@link GaddModel} model.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public final class B15GaddTestCase extends CfgGaddTransformerVhdlTest {

  @Override
  protected Path[] getModulePaths() {
    return new Path[] {Paths.get("itc99", "b15", "b15.vhd")};
  }

  @Override
  protected String getModuleName() {
    return "b15";
  }

  @Override
  int getPathNum() {
    return 344;
  }
}
