/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.efsm.printer.graphml.sample;

import org.junit.Test;
import ru.ispras.retrascope.engine.gadd.transformer.efsm.GaddEfsmTransformer;

import java.io.File;
import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * The test runs the tool on "b19.vhd" module
 * and generates GraphML representation for {@link ru.ispras.retrascope.model.efsm.EfsmModel} model.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class B19EfsmGraphMlTestCase extends EfsmGraphMlPrinterVhdlTest {

  @Override
  protected Path[] getModulePaths() {
    return new Path[] {Paths.get("itc99", "b19", "b19.vhd")};
  }

  @Override
  protected String getModuleName() {
    return "b19";
  }

  @Test
  public void runTest() {
    final String states =
        String.join(File.pathSeparator, "process_4.P2.P4_STATE", "process_3.P2.P4_STATE");
    addOption(GaddEfsmTransformer.STATE_VARIABLES, states);
    super.runTest();
  }
}
