/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.gadd.transformer.efsm.sample;

import org.junit.Test;
import ru.ispras.retrascope.engine.gadd.transformer.efsm.GaddEfsmTransformer;

import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * The test runs the tool on "b14.vhd" module
 * and generates {@link ru.ispras.retrascope.model.efsm.EfsmModel} model.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class B14EfsmTestCase extends GaddEfsmTransformerVhdlTest {

  @Override
  protected Path[] getModulePaths() {
    return new Path[] {Paths.get("itc99", "b14", "b14.vhd")};
  }

  @Override
  protected String getModuleName() {
    return "b14";
  }

  @Test
  public void runTest() {
    addOption(GaddEfsmTransformer.STATE_VARIABLES, "process_0.STATE");

    super.runTest();
  }

  @Override
  protected EfsmStatistics getStatistics() {
    return new EfsmStatistics(231, 688, 1);
  }
}
