/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.hldd.printer.smv.usedef;

import org.apache.commons.io.FilenameUtils;
import org.junit.Test;
import ru.ispras.retrascope.Retrascope;
import ru.ispras.retrascope.VerilogTest;
import ru.ispras.retrascope.engine.gadd.transformer.hldd.GaddHlddTransformer;
import ru.ispras.retrascope.engine.hldd.printer.smv.SmvTest;
import ru.ispras.retrascope.engine.hldd.printer.smv.basis.ModelCheckingMethod;
import ru.ispras.retrascope.engine.smv.launcher.SmvModelCheckerLauncher;
import ru.ispras.retrascope.parser.verilog.VerilogParser;

public abstract class UseDefSmvPrinterVerilogTest extends VerilogTest implements SmvTest {

  @Test
  public void runTest() {

    addOption(Retrascope.TARGET_PARAM, SmvModelCheckerLauncher.OUT_TYPE.getId());
    addOption(Retrascope.ENGINE_PARAM, HlddUseDefSmvPrinter.ENGINE_ID);
    addOption(HlddUseDefSmvPrinter.SMV_FILE_NAME, getSmvFileName());
    addOption(SmvModelCheckerLauncher.CHECK_METHOD, ModelCheckingMethod.LTL_BMC.getStringValue());
    addOption(GaddHlddTransformer.FORMULA_BASED);
    addOption(GaddHlddTransformer.COLLECT_USEDEF);

    SmvModelCheckerLauncher.setBmcBound(10);
    final String moduleDir = FilenameUtils.getFullPathNoEndSeparator(getPaths()[0]);
    addOption(VerilogParser.INCLUDE_PATH, moduleDir);

    super.runTest(getPaths());
  }

}
