/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.hldd.printer.smv.usedef;

import ru.ispras.retrascope.HdlTestFiles;
import ru.ispras.retrascope.engine.gadd.transformer.hldd.GaddHlddTransformer;
import ru.ispras.retrascope.engine.smv.ModelCheckerLauncherTest;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

public class UseDefSmvTestCase extends ModelCheckerLauncherTest {

  @Override
  protected String chooseEngine() {
    return HlddUseDefSmvPrinter.ENGINE_ID;
  }

  @Override
  protected Map<String, Map<String, List<String>>> getDesigns() {
    final Map<String, Map<String, List<String>>> designs = HdlTestFiles.VERILOG_MAP;
    designs.remove("fifo");
    designs.remove("array_ssa_test");

    return designs;
  }

  @Override
  protected String[] getParameters(final String designName) {
    final String[] params = super.getParameters(designName);
    final List<String> additional = new ArrayList<>(Arrays.asList(params));
    additional.add(GaddHlddTransformer.COLLECT_USEDEF.getName());
    additional.add(GaddHlddTransformer.FORMULA_BASED.getName());
    return additional.toArray(new String[0]);
  }

}
