/*
 * Copyright 2015-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.smv;

import ru.ispras.retrascope.HdlTestFiles;
import ru.ispras.retrascope.Retrascope;
import ru.ispras.retrascope.SmvUtilTest;
import ru.ispras.retrascope.engine.smv.launcher.SmvModelCheckerLauncher;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * Abstract class for {@link SmvModelCheckerLauncher} engine test cases.
 *
 * @author <a href="mailto:lebedev@ispras.ru">Mikhail Lebedev</a>
 */
public abstract class ModelCheckerLauncherTest extends SmvUtilTest {

  @Override
  protected String[] getParameters(final String designName) {
    final List<String> parameters = new ArrayList<>();
    parameters.add(Retrascope.ENGINE_PARAM.getName());
    parameters.add(chooseEngine());
    parameters.addAll(commonParameters(designName));
    return parameters.toArray(new String[0]);
  }

  @Override
  protected String getMainTarget() {
    return SmvModelCheckerLauncher.OUT_TYPE.getId();
  }

  @Override
  protected Map<String, Map<String, List<String>>> getDesigns() {
    return HdlTestFiles.getProjects();
  }

  /*
   * Returns the SMV-printing engine name.
   */
  protected abstract String chooseEngine();

}
