/*
 * Copyright 2015-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.smv;

import ru.ispras.retrascope.engine.gadd.transformer.hldd.GaddHlddTransformer;
import ru.ispras.retrascope.engine.hldd.printer.smv.HlddSmvPrinter;
import ru.ispras.retrascope.engine.smv.launcher.SmvModelCheckerLauncher;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * This test case generates property-free SMV files and runs the model checker.
 *
 * @author <a href="mailto:lebedev@ispras.ru">Mikhail Lebedev</a>
 */
public class SmvModelCheckerLauncherTestCase extends ModelCheckerLauncherTest {

  @Override
  protected String chooseEngine() {
    return HlddSmvPrinter.ENGINE_ID;
  }

  @Override
  protected String[] getParameters(final String designName) {
    final List<String> target = new ArrayList<>(Arrays.asList(super.getParameters(designName)));
    target.add(GaddHlddTransformer.DELETE_UNUSED.getName());
    //target.add(SmvModelCheckerLauncher.USE_NUSMV.getName());
    target.add(SmvModelCheckerLauncher.LOG_LEVEL.getName());
    target.add("1");
    return target.toArray(new String[0]);
  }

}
