/*
 * Copyright 2018 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.engine.smv;

import ru.ispras.retrascope.HdlTestFiles;
import ru.ispras.retrascope.basis.EntityType;
import ru.ispras.retrascope.result.testbench.VhdlTestbenchModel;

import java.util.List;
import java.util.Map;

/**
 * This class represents the test case for SmvTestParser and TestVhdlTestbenchPrinter engines.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public final class SmvTestParserVhdlTestCase extends SmvTestParserTest {

  @Override
  protected Map<String, Map<String, List<String>>> getDesigns() {

    return HdlTestFiles.VHDL_MAP;
  }

  @Override
  protected EntityType getTargetType() {

    return VhdlTestbenchModel.TYPE;
  }
}
