/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.parser;

import org.junit.Test;
import ru.ispras.retrascope.HdlTestUtils;
import ru.ispras.retrascope.Retrascope;
import ru.ispras.retrascope.model.cfg.CfgModel;
import ru.ispras.retrascope.parser.basis.HdlParser;

/**
 * Test that runs the tool on HDL modules with "--disable-backends help" option.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class HdlParserBackendHelpTestCase {

  @Test
  public void runTest() {

    HdlTestUtils.runHdl(
        CfgModel.TYPE.getId(),
        HdlParser.DISABLE_BACKENDS.getName(),
        Retrascope.HELP_PARAM.getLongName());
  }
}
