/*
 * Copyright 2018-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.util;

import org.junit.Test;
import ru.ispras.retrascope.Retrascope;

/**
 * Test that runs the tool with "--engine help" option.
 *
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public final class TargetHelpTestCase extends ToolTest {

  @Test
  public void runTest() {
    addOption(Retrascope.TARGET_PARAM, Retrascope.HELP_PARAM.getLongName());
    super.runTest("");
  }

  @Override
  protected String getModuleName() {
    return null;
  }
}
