library ieee;
use ieee.std_logic_1164.all;

entity sample is
	port
	(
		clk		: in std_logic;
		rst		: in std_logic;
		x		: in std_logic;
		y		: in std_logic;
		res		: out std_logic
	);
end sample;

architecture BEHAV of sample is
begin
	process (clk,rst,x,y)
		variable	cnt		: std_logic;
		variable	state	: integer range 0 to 1;
	begin
		if (rst='1') then
			cnt := '0';
			state := 0;
		elsif (clk='1') then
			if (state=1) then
				cnt := x or y;
				state := 0;
			elsif (state=0) then
				cnt := x and y;
				state := 1;
			end if;
			res <= cnt;
		end if;
	end process;
end BEHAV;
