/*
 * Copyright 2014-2015 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.basis;

/**
 * This class represents a void entity. It might be useful for describing engines whose results
 * include nothing more than a representation of some entity (e.g., visual view).
 *
 * @author <a href="mailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class Void extends Entity {

  /**
   * Constructs a void entity of the given type.
   *
   * @param type the entity type.
   */
  public Void(final String type) {
    super(EntityType.get(type));
  }

  @Override
  public void add(final Entity entity) {
    /* Empty. */
  }
}
