/*
 * Copyright 2015-2017 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ru.ispras.retrascope.model.basis.walker;

import ru.ispras.retrascope.model.basis.Model;
import ru.ispras.retrascope.model.basis.Module;
import ru.ispras.retrascope.model.basis.ModuleProcess;
import ru.ispras.retrascope.model.basis.Statement;

/**
 * An empty visitor for models.
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public class ModelEmptyVisitor implements ModelVisitor {

  @Override
  public Status getStatus() {
    return Status.OK;
  }

  @Override
  public void onRootBegin() {
    /* Empty. */
  }

  @Override
  public void onRootEnd() {
    /* Empty. */
  }

  @Override
  public void onModelBegin(final Model model) {
    /* Empty. */
  }

  @Override
  public void onModelEnd(final Model model) {
    /* Empty. */
  }

  @Override
  public void onStatementBegin(final Statement statement) {
    /* Empty. */
  }

  @Override
  public void onStatementEnd(final Statement statement) {
    /* Empty. */
  }

  @Override
  public void onModuleBegin(final Module module) {
    /* Empty. */
  }

  @Override
  public void onModuleEnd(final Module module) {
    /* Empty. */
  }

  @Override
  public void onProcessBegin(final ModuleProcess process) {
    /* Empty. */
  }

  @Override
  public void onProcessEnd(final ModuleProcess process) {
    /* Empty. */
  }
}
