/*
 * Copyright 2016 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.retrascope.model.hldd;

import ru.ispras.fortress.expression.NodeVariable;
import ru.ispras.retrascope.model.basis.Module;
import ru.ispras.retrascope.model.basis.walker.ModelEmptyVisitor;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * An empty visitor for High-level decision diagram model.
 *
 * @author <a href="mailto:lebedev@ispras.ru">Mikhail Lebedev</a>
 */
public class HlddEmptyVisitor extends ModelEmptyVisitor implements HlddVisitor {

  protected HlddEmptyVisitor() {
    super();
  }

  @Override
  public void onHlddBegin(Hldd hldd) {
    /* empty */
  }

  @Override
  public void onHlddEnd(Hldd hldd) {
    /* empty */
  }

  @Override
  public void onRootBegin(HlddNode rootNode) {
    /* empty */
  }

  @Override
  public void onRootEnd(HlddNode rootNode) {
    /* empty */
  }

  @Override
  public void onConditionBegin(HlddConditionNode node) {
    /* empty */
  }

  @Override
  public void onConditionEnd(HlddConditionNode node) {
    /* empty */
  }

  @Override
  public void onEdgeBegin(HlddEdge node) {
    /* empty */
  }

  @Override
  public void onEdgeEnd(HlddEdge node) {
    /* empty */
  }

  @Override
  public void onAssignment(HlddTerminalNode node) {
    /* empty */
  }

}
